org.apache.lucene.util

## Class DoubleBarrelLRUCache.CloneableKey

- java.lang.Object
- - org.apache.lucene.util.DoubleBarrelLRUCache.CloneableKey

- Enclosing class:
    DoubleBarrelLRUCache<K extends DoubleBarrelLRUCache.CloneableKey,V>

      public abstract static class DoubleBarrelLRUCache.CloneableKey
      extends Object

  Object providing clone(); the key class must subclass this.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleBarrelLRUCache.CloneableKey()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract DoubleBarrelLRUCache.CloneableKey` | `clone()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoubleBarrelLRUCache.CloneableKey

          public DoubleBarrelLRUCache.CloneableKey()

  - ### Method Detail

    - #### clone

          public abstract DoubleBarrelLRUCache.CloneableKey clone()

      Overrides:
        `clone` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.